%define name    ecap
%define version 0.2.0
%define release %mkrel 2
%define major 2
%define libname %mklibname %{name}  %{major}
%define develname %mklibname %{name} -d

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	eCAP library
License:	BSD
Group:		Networking/Other
URL:		http://www.e-cap.org/
Source:		http://www.measurement-factory.com/tmp/ecap/libecap-%{version}.tar.gz
BuildRequires:	kernel-headers
Epoch:		1

%description
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.

%package -n     %{libname}
Summary:        Main library for ecap
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
eCAP is a software interface that allows a network application, such as an 
HTTP proxy or an ICAP server, to outsource content analysis and adaptation 
to a loadable module. For each applicable protocol message being 
processed, an eCAP-enabled application supplies the message details to the 
adaptation module and gets back an adapted message or a "not interested" 
response. These exchanges often include message bodies.


%package -n     %{develname}
Summary:        Header files for the ecap library
Group:          Development/C
Requires:       %{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
eCAP is a software interface that allows a network application, such as an
HTTP proxy or an ICAP server, to outsource content analysis and adaptation
to a loadable module. For each applicable protocol message being
processed, an eCAP-enabled application supplies the message details to the
adaptation module and gets back an adapted message or a "not interested"
response. These exchanges often include message bodies.
These are devel files.

%prep
%setup -q -n libecap-%{version}

%build
%configure2_5x --enable-shared --enable-std-include 

%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/libecap.la

%clean
%{__rm} -rf %{buildroot}

%files -n %{libname}
%doc LICENSE
%{_libdir}/libecap.so.%{major}*

%files  -n %{develname}
%{_includedir}/libecap/*
%{_libdir}/libecap.so
%{_libdir}/libecap.a
%{_libdir}/pkgconfig/libecap.pc


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1:0.2.0-2.mga3
+ Revision: 349306
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 08 2012 luigiwalser <luigiwalser> 1:0.2.0-1.mga3
+ Revision: 289630
- 0.2.0
- library major is now 2
- cosmetic spec fixes
- do not ship libtool archive

* Sun Jul 15 2012 dlucio <dlucio> 1:0.0.3-1.mga3
+ Revision: 271033
- Squid 3.1 does not support 0.2.0, we get back to 0.0.3

* Sun Jul 15 2012 dlucio <dlucio> 0.2.0-1.mga3
+ Revision: 270924
- 0.2.0
- fix file list, now we have pkgconfig file

* Mon Jul 25 2011 dlucio <dlucio> 0.0.3-2.mga2
+ Revision: 129289
- description fixes

* Mon Mar 07 2011 ennael <ennael> 0.0.3-1.mga1
+ Revision: 66017
- ckean spec file

  + dlucio <dlucio>
    - imported package ecap

